## Generátor zákazů vjezdu
Program ukládá výstup do souboru **out.png**

### Parametry
 * `python3 ./zakazy.py NONE` - vygeneruje prázdný zákaz vjezdu

 * `python3 ./zakazy.py piktogramy/kolo.png` - vygeneruje zákaz vjezdu jedné skupině vozidel
 * `python3 ./zakazy.py piktogramy/motorove_vozidlo.png piktogramy/motocykl.png` - vygeneruje na poloviny dělenou značku zákazu
 * `python3 ./zakazy.py piktogramy/autobus.png piktogramy/vozik.png piktogramy/traktor.png` -  vygeneruje na třetiny dělenou značku zákazu


## Instalace a prostředí
Je třeba mít [Python](https://www.python.org/downloads/) verze nejméně 3.12

Program používá [knihovnu Pillow pro práci s obrázky](https://pillow.readthedocs.io/en/stable/index.html).

### Metoda 1: Instalace skrz Poetry
1) Nainstaluj [Poetry](https://python-poetry.org/docs/#installation)
2) ```poetry install```
3) Spouštěj ```poetry run python3 ./zakazy.py piktogramy/autobus.png```

### Metoda 2: Instalace skrze Pip
```python3 -m pip install -r requirements.txt```

## Použití

### Příklad
Příklad použití s Poetry:

```poetry run python3 ./zakazy.py piktogramy/autobus.png```

Příklad použití bez Poetry:

```python3 ./zakazy.py piktogramy/autobus.png```

